##  for PCLinuxOS  ##

%define  ver  1.002.20150607
%define  rel  2.nora15

%define  _fontdir  %{_datadir}/fonts/TTF/japanese-genshingothic

Name:     fonts-ttf-japanese-genshingothic
Summary:  GenShin Gothic Japanese font
Summary(ja):  源真ゴシック フォント
Version:  %{ver}
Release:  %{rel}
License:  SIL Open Font License 1.1
Group:    System/Fonts/True type
URL:      http://jikasei.me/font/genshin/
Source0:  https://osdn.jp/downloads/users/8/8578/genshingothic-20150607.7z
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  p7zip

%description
GenShin Gothic is a customized font which converted the Noto Sans CJKJP / Source Han SansJ in TrueType format.

%description -l ja
源真ゴシック (げんしんゴシック) は、フリーの OpenType フォントである「源ノ角ゴシック (Noto Sans CJK / Source Han Sans の日本語部分)」を TrueType 形式に変換し、普段使いにおける使い勝手を重視したカスタマイズを施した派生フォントです。


%prep
%setup -q -T -c -n genshingothic
7z x %{SOURCE0}


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -R * $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-japanese-genshingothic:pri=50


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_fontdir}/*
%{_sysconfdir}/X11/fontpath.d/ttf-japanese-genshingothic:pri=50


%changelog
* Fri Dec 04 2015 tomcat <> 1.002.20150607-2
- fix release suffix

* Wed Nov 04 2015 tomcat <> 1.002.20150607-1
- update to 1.002.20150607

* Fri Jun 05 2015 tomcat <> 1.002.20150531-1
- initial build for PCLinuxOS
